clang-tools 10.0.0

Classes | Namespaces | Functions
TestFS.h File Reference
`#include "ClangdServer.h"`
`#include "GlobalCompilationDatabase.h"`
`#include "Path.h"`
`#include "llvm/ADT/IntrusiveRefCntPtr.h"`
`#include "llvm/Support/Path.h"`
`#include "llvm/Support/VirtualFileSystem.h"`
Include dependency graph for TestFS.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::clangd::MockFSProvider
class | clang::clangd::MockCompilationDatabase

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
llvm::IntrusiveRefCntPtr< llvm::vfs::FileSystem > | clang::clangd::buildTestFS (llvm::StringMap< std::string > const &Files, llvm::StringMap< time_t > const &Timestamps)
const char * | clang::clangd::testRoot ()
std::string | clang::clangd::testPath (PathRef File)